# $Revision: 1.20 $, $Date: 2002/07/17 16:58:16 $
Summary:	[X]Emacs calculator
Summary(pl):	Kalkulator dla [X]Emacsa
Name:		xemacs-calc-pkg
%define 	srcname	calc
Version:	1.23
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
#Patch0:	xemacs-calc-pkg-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scientific, financial, and symbolic calculator for [X]Emacs.

%description -l pl
Naukowy, finansowy i symboliczny kalkulator dla [X]Emacsa.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/calc/ChangeLog
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-calc-pkg.spec,v $
Revision 1.20  2002/07/17 16:58:16  kloczek
- updated to 1.23 and use new %doc.

Revision 1.19  2002/04/18 13:40:24  wiget
updated to 1.19

Revision 1.18  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.17  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/17 14:18:47  kloczek
- updated to 1.18.

Revision 1.14  2002/01/18 02:15:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/12/20 14:19:14  qboosh
- release 2: adapterized

Revision 1.12  2001/10/30 21:58:44  kloczek
- added %description and better Summary.

Revision 1.11  2001/08/28 10:20:02  mis
- autoupdated to 1.17

Revision 1.10  2001/08/02 08:31:29  mis
- autoupdated to 1.16

Revision 1.9  2001/05/11 18:34:56  mis
- autoupdated to 1.15

Revision 1.8  2001/02/12 11:37:12  mis
- updated to 1.14

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:29:18  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
